using Billing.iOS.Renderers;
using Billing.UI;
using UIKit;
using Xamarin.Forms;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(OptionTimePicker), typeof(OptionTimePickerRenderer))]
namespace Billing.iOS.Renderers
{
    public class OptionTimePickerRenderer : TimePickerRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<TimePicker> e)
        {
            base.OnElementChanged(e);

            var control = Control;
            if (control != null)
            {
                control.BorderStyle = UITextBorderStyle.None;
            }
        }
    }
}